Bug 853740 - [abrt] squid-3.2.0.16-1.fc17: death(int): Process /usr/sbin/squid was killed by signal 6 (SIGABRT)
[abrt] squid-3.2.0.16-1.fc17: death(int): Process /usr/sbin/squid was killed ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Luscon
Fedora Extras Quality Assurance
abrt_hash:d92af0542b385d287770b8cdd5b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-02 10:55 EDT by zic
Modified: 2013-08-01 01:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:17:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.42 KB, text/plain)
2012-09-02 10:55 EDT, zic
no flags Details
File: environ (222 bytes, text/plain)
2012-09-02 10:55 EDT, zic
no flags Details
File: backtrace (21.86 KB, text/plain)
2012-09-02 10:55 EDT, zic
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-02 10:55 EDT, zic
no flags Details
File: cgroup (156 bytes, text/plain)
2012-09-02 10:55 EDT, zic
no flags Details
File: maps (14.09 KB, text/plain)
2012-09-02 10:55 EDT, zic
no flags Details
File: dso_list (2.48 KB, text/plain)
2012-09-02 10:55 EDT, zic
no flags Details
File: var_log_messages (815 bytes, text/plain)
2012-09-02 10:55 EDT, zic
no flags Details
File: open_fds (439 bytes, text/plain)
2012-09-02 10:55 EDT, zic
no flags Details

  None (edit)
Description zic 2012-09-02 10:55:41 EDT
Version-Release number of selected component:
squid-3.2.0.16-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        (squid-1) -f /etc/squid/squid.conf
crash_function: death(int)
kernel:         3.5.0-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #2 death(int)
: #4 storeRead
: #5 store_client::fileRead()
: #6 UFSStoreState::readCompleted(char const*, int, int, RefCount<ReadRequest>)
: #7 DiskThreadsDiskFile::readDone(int, char const*, int, int, RefCount<ReadRequest>)
: #8 DiskThreadsDiskFile::ReadDone(int, void*, char const*, int, int)
: #9 DiskThreadsIOStrategy::callback()
: #10 StoreHashIndex::callback()
: #11 StoreRootEngine::checkEvents(int)
: #12 EventLoop::checkEngine(AsyncEngine*, bool)
Comment 1 zic 2012-09-02 10:55:45 EDT
Created attachment 609095 [details]
File: core_backtrace
Comment 2 zic 2012-09-02 10:55:46 EDT
Created attachment 609096 [details]
File: environ
Comment 3 zic 2012-09-02 10:55:48 EDT
Created attachment 609097 [details]
File: backtrace
Comment 4 zic 2012-09-02 10:55:50 EDT
Created attachment 609098 [details]
File: limits
Comment 5 zic 2012-09-02 10:55:52 EDT
Created attachment 609099 [details]
File: cgroup
Comment 6 zic 2012-09-02 10:55:54 EDT
Created attachment 609100 [details]
File: maps
Comment 7 zic 2012-09-02 10:55:55 EDT
Created attachment 609101 [details]
File: dso_list
Comment 8 zic 2012-09-02 10:55:57 EDT
Created attachment 609102 [details]
File: var_log_messages
Comment 9 zic 2012-09-02 10:55:59 EDT
Created attachment 609103 [details]
File: open_fds
Comment 10 Henrik Nordström 2012-09-02 11:13:00 EDT
What was reported in cache.log?
Comment 11 zic 2012-09-02 11:21:18 EDT
/var/log/messages and the cache.log.


Here is /var/log/messages.


Sep  2 11:44:10 Remba abrtd: Directory 'ccpp-2012-09-02-11:44:10-2582' creation detected
Sep  2 11:44:10 Remba abrt[5775]: Saved core dump of pid 2582 (/usr/sbin/squid) to /var/spool/abrt/ccpp-2012-09-02-11:44:10-2582 (30146560 bytes)
Sep  2 11:44:11 Remba abrtd: Lock file '/var/spool/abrt/ccpp-2012-09-02-01:25:51-9576/.lock' is locked by process 5775
Sep  2 11:44:11 Remba squid[2580]: Squid Parent: (squid-1) process 2582 exited due to signal 6 with status 0
Sep  2 11:44:12 Remba abrtd: Generating backtrace
Sep  2 11:44:14 Remba squid[2580]: Squid Parent: (squid-1) process 5791 started
Sep  2 11:44:15 Remba abrtd: New problem directory /var/spool/abrt/ccpp-2012-09-02-11:44:10-2582, processing
Sep  2 11:44:18 Remba dbus-daemon[2439]: dbus[2439]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Sep  2 11:44:18 Remba dbus[2439]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Sep  2 11:44:18 Remba dbus-daemon[2439]: dbus[2439]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Sep  2 11:44:18 Remba dbus[2439]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Sep  2 11:45:17 Remba setroubleshoot: SELinux is preventing /usr/libexec/totem-plugin-viewer from write access on the file /home/Mykene/zic/.mozilla/firefox/pmzo85we.default/.parentlock. For complete SELinux messages. run sealert -l 4c7655f5-a69d-4890-af10-62c905325cfd



And here are the cache log.



2012/09/02 11:44:10 kid1| WARNING: swapfile header inconsistent with available data
FATAL: Received Segment Violation...dying.
2012/09/02 11:44:10 kid1| Stop receiving ICP on [::]:3130
2012/09/02 11:44:10 kid1| Stop sending ICP from [::]:3130
2012/09/02 11:44:10 kid1| BUG: Orphan Comm::Connection: local=[::]:3130 remote=[::] FD 12 flags=9
2012/09/02 11:44:10 kid1| NOTE: 2 Orphans since last started.
2012/09/02 11:44:10 kid1| storeDirWriteCleanLogs: Starting...
2012/09/02 11:44:10 kid1| WARNING: Closing open FD   11
2012/09/02 11:44:10 kid1|   Finished.  Wrote 25280 entries.
2012/09/02 11:44:10 kid1|   Took 0.05 seconds (476118.73 entries/sec).
CPU Usage: 0.654 seconds = 0.415 user + 0.239 sys
Maximum Resident Size: 90336 KB
Page faults with physical i/o: 0
Memory usage for squid via mallinfo():
	total space in arena:   12680 KB
	Ordinary blocks:        12567 KB      8 blks
	Small blocks:               0 KB      7 blks
	Holding blocks:         10224 KB      7 blks
	Free Small blocks:          0 KB
	Free Ordinary blocks:     112 KB
	Total in use:           22791 KB 180%
	Total free:               112 KB 1%
2012/09/02 11:44:14 kid1| Starting Squid Cache version 3.2.0.16 for x86_64-redhat-linux-gnu...
2012/09/02 11:44:14 kid1| Process ID 5791
2012/09/02 11:44:14 kid1| Process Roles: worker
2012/09/02 11:44:14 kid1| With 16384 file descriptors available
2012/09/02 11:44:14 kid1| Initializing IP Cache...
2012/09/02 11:44:14 kid1| DNS Socket created at [::], FD 7
2012/09/02 11:44:14 kid1| DNS Socket created at 0.0.0.0, FD 8
2012/09/02 11:44:14 kid1| Adding domain Tahri from /etc/resolv.conf
2012/09/02 11:44:14 kid1| Adding nameserver 127.0.0.1 from /etc/resolv.conf
2012/09/02 11:44:14 kid1| Adding nameserver 192.168.7.1 from /etc/resolv.conf
2012/09/02 11:44:14 kid1| Adding nameserver Amber.Tahri from /etc/resolv.conf
2012/09/02 11:44:14 kid1| WARNING: rejecting 'Amber.Tahri' as a name server, because it is not a numeric IP address
2012/09/02 11:44:14 kid1| Logfile: opening log daemon:/var/log/squid/access.log
2012/09/02 11:44:14 kid1| Logfile Daemon: opening log /var/log/squid/access.log
2012/09/02 11:44:14 kid1| Local cache digest enabled; rebuild/rewrite every 3600/3600 sec
2012/09/02 11:44:14 kid1| Store logging disabled
2012/09/02 11:44:14 kid1| Swap maxSize 2514944 + 131072 KB, estimated 203539 objects
2012/09/02 11:44:14 kid1| Target number of buckets: 10176
2012/09/02 11:44:14 kid1| Using 16384 Store buckets
2012/09/02 11:44:14 kid1| Max Mem  size: 131072 KB
2012/09/02 11:44:14 kid1| Max Swap size: 2514944 KB
2012/09/02 11:44:14 kid1| Version 1 of swap file with LFS support detected... 
2012/09/02 11:44:14 kid1| Rebuilding storage in /var/spool/squid (CLEAN)
2012/09/02 11:44:14 kid1| Using Least Load store dir selection
2012/09/02 11:44:14 kid1| Set Current Directory to /var/spool/squid
2012/09/02 11:44:14 kid1| Loaded Icons.
2012/09/02 11:44:14 kid1| HTCP Disabled.
2012/09/02 11:44:14 kid1| Squid plugin modules loaded: 0
2012/09/02 11:44:14 kid1| Adaptation support is off.
2012/09/02 11:44:14 kid1| Accepting HTTP Socket connections at local=[::]:3128 remote=[::] FD 13 flags=9
2012/09/02 11:44:14 kid1| Accepting ICP messages on [::]:3130
2012/09/02 11:44:14 kid1| Sending ICP messages from [::]:3130
2012/09/02 11:44:14 kid1| Store rebuilding is 15.82% complete
2012/09/02 11:44:14 kid1| Done reading /var/spool/squid swaplog (25280 entries)
2012/09/02 11:44:14 kid1| Finished rebuilding storage from disk.
2012/09/02 11:44:14 kid1|     25280 Entries scanned
2012/09/02 11:44:14 kid1|         0 Invalid entries.
2012/09/02 11:44:14 kid1|         0 With invalid flags.
2012/09/02 11:44:14 kid1|     25280 Objects loaded.
2012/09/02 11:44:14 kid1|         0 Objects expired.
2012/09/02 11:44:14 kid1|         0 Objects cancelled.
2012/09/02 11:44:14 kid1|         0 Duplicate URLs purged.
2012/09/02 11:44:14 kid1|         0 Swapfile clashes avoided.
2012/09/02 11:44:14 kid1|   Took 0.07 seconds (363260.14 objects/sec).
2012/09/02 11:44:14 kid1| Beginning Validation Procedure
2012/09/02 11:44:14 kid1|   Completed Validation Procedure
2012/09/02 11:44:14 kid1|   Validated 25280 Entries
2012/09/02 11:44:14 kid1|   store_swap_size = 419784.00 KB
2012/09/02 11:44:15 kid1| storeLateRelease: released 0 objects
2012/09/02 11:44:19 kid1| Configuring Sibling proxy1.Tahri/3128/3130
Comment 12 Fedora End Of Life 2013-07-03 21:07:52 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Phil Anderson 2013-07-29 02:56:13 EDT
Looks like http://bugs.squid-cache.org/show_bug.cgi?id=3549
Comment 14 Phil Anderson 2013-07-29 03:57:33 EDT
Started happening to me in squid-3.1.10-18.el6_4.x86_64 on RHEL almost immediately after switching from diskd to aufs.  However, even after switching back diskd or ufs, it persisted so that might just be coincidence.
Comment 15 Fedora End Of Life 2013-08-01 01:17:23 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.